# Data Tools

Modular data conversion tools (for developers)

## TODO:

- [X] zooming
- [X] fix zooming font size
- [X] controls explanation
- [X] typed values
- [ ] implicit type conversion
- [ ] explicit type converters (eg. number to text with specified precision)
- [ ] connector error state when receiving invalid type or inconvertible value (eg. invalid base64 string)
- [ ] color coding typed connectors (remove input/output color coding)
- [ ] color code explanation
- [ ] copy button for text boxes
- [ ] connect and disconnect listeners for connectors
- [ ] connector value caching
- [ ] lock text box when an input is connected
- [ ] cycle prevention detection
- [X] random number generator
- [X] url encoder / decoder
- [ ] binary encoder (hex, binary)
- [ ] module loader
- [ ] md5 hasher
- [ ] sha256 hasher
- [ ] saving and loading configurations to local storage
- [ ] saving and loading configurations to local file
- [ ] presets fetaure
- [ ] presets for all converters
- [ ] preset for random number generator
- [ ] array splitters / concatinators
- [ ] convert network to code
- [ ] zoom control buttons