window.addEventListener("DOMContentLoaded", () => {
	let tabs = document.getElementsByClassName("menuBarItem");
	for (let i = 0; i < tabs.length; i++) {
		tabs[i].addEventListener("click", () => {
			let contents = document.getElementsByClassName("menuContentBox");

			let wasSelected = tabs[i].classList.contains("selected");

			for (let j = 0; j < contents.length; j++) {
				contents[j].style.display = "none";
			}

			for (let j = 0; j < tabs.length; j++) {
				tabs[j].classList.remove("selected");
			}

			if (!wasSelected) {
				tabs[i].classList.add("selected");
				contents[i].style.display = "block";
			}
		});
	}
});