class URLConverter extends Converter {
	constructor() {
		super("URL Converter", [
			{ label : "Encode", conversionFunction : (d) => encodeURIComponent(d) },
			{ label : "Decode", conversionFunction : (d) => decodeURIComponent(d) },
		]);

		this.outputs[0].type = "string";
	}
}